> For the complete documentation index, see [llms.txt](https://senselab.gitbook.io/senselab-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://senselab.gitbook.io/senselab-docs/docs/api.md).

# api

- [API REST - Senselab Core API](https://senselab.gitbook.io/senselab-docs/docs/api/api_documentation.md)
- [API Resources - Documentación](https://senselab.gitbook.io/senselab-docs/docs/api/api_resources.md)
- [Controladores API - Resumen Completo](https://senselab.gitbook.io/senselab-docs/docs/api/controllers_complete_summary.md)
- [API Controllers - Implementación Completa](https://senselab.gitbook.io/senselab-docs/docs/api/controllers_summary.md)
- [Checklist de Implementación - FormRequests](https://senselab.gitbook.io/senselab-docs/docs/api/formrequests_checklist.md)
- [FormRequests Implementation - Resumen](https://senselab.gitbook.io/senselab-docs/docs/api/formrequests_summary.md)
- [Guía de Uso - FormRequests](https://senselab.gitbook.io/senselab-docs/docs/api/formrequests_usage_guide.md)
- [Relaciones de Modelos Eloquent - Senselab Core API](https://senselab.gitbook.io/senselab-docs/docs/api/models_relations.md)
- [Modelos con Traits de Base de Datos](https://senselab.gitbook.io/senselab-docs/docs/api/models_with_traits.md)
- [Guía Completa de Policies - Sistema de Autorización](https://senselab.gitbook.io/senselab-docs/docs/api/policies_guide.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://senselab.gitbook.io/senselab-docs/docs/api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
